From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 17 March 2006<P>

suffocating lux:  <a href="/blend/wv.cgi?id=2006.03.17.10.13.23353">roughened colour</a> whew!! i've a personal summer going on here now....
<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 17 March 2006<P>

Sometimes I feel this raging jealousy.  My blood seems to become liquid fire, my skin hot, as it courses through my body. <BR>
<BR>
It’s been years since I’ve seen her. This girl.  She was my friend more than others had been.  In ways that shouldn't have been.  But her selfish lies and her acid tongue were the death of that.  <BR>
<BR>
I remember her one-day as she was driving with an old boyfriend and me.  Her flares and need for the attention circulating through her.  The words, to her, clever and witty, that touch of sarcastic humor.  She was, at times, but when it came to men she seemed to change.  Friendships were tossed aside, and lies were formulated as long she came out on top.  <BR>
<BR>
I couldn't help but think that somehow she was satisfied, boastful, when that relationship ended.  I was a competition to her.  I was this course to be run, the dog chasing the rabbit, the hunted.  I was useful as long as I could provide her with something, whether it was men or compliments.  Even if it was just company.  She had other friends besides me, whom when they were around, her friendship with me diminished and theirs flourished.  The trust and secrets I gave her suddenly were fodder for their conversations. <BR>
<BR>
And I find her haunting me still.  In places (here) that I have held sacred for too long, that it feels as if she is somehow invading part of my life again.  I can't deny it to her.  But there were too many men and lies that passed between her and I, that it's something that should be exorcised.  A slate wiped clean, tabula rasa.  Hers is a selfish and calculating mind. Who knows what time has wrought on her, maybe a conscience, but sometimes that is too much to ask.<BR>

<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 17 March 2006<P>

umm yeah..........sorry!!!!!!!!!!<BR>
<BR>
wrong place!!!  TGIF!
<HR>
From: <a href="/blend/av.cgi?id=859">callaphair</a><BR>
Date: 17 March 2006<P>

 Star of David --<BR>
<BR>
Thanks for the words...
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 17 March 2006<P>

ijh:  <a href="/blend/wv.cgi?id=2006.03.17.20.59.19428">the perfect of you </a> "she" is so very damn lucky!<BR>
<BR>
between ijh and chris... i'm not sure who seems the most romantic.... lady blenderites???  any comments?
<HR>